[MOS10.0][DEB] Update ceilometer to v7.0.0 30/27330/10
authorAndrii Kroshchenko <akroshchenko@mirantis.com>
Mon, 10 Oct 2016 09:58:16 +0000 (12:58 +0300)
committerIvan Udovichenko <iudovichenko@mirantis.com>
Mon, 31 Oct 2016 00:52:07 +0000 (02:52 +0200)
  * Source from https://review.openstack.org/#/admin/projects/openstack/deb-ceilometer
  commit  67bbd3f833e983301f0638d39e9fc90035505a53
  * Fix (build-)dependencies.
  * Delete limits of tempest and using os-api-ref
  * Put Ceilometer API under Apache 2.

Change-Id: Ida630f80191c5a729a62793407a7c52ae5b49207

29 files changed:
xenial/debian/apache-sites-available/ceilometer.conf [new file with mode: 0644]
xenial/debian/ceilometer-api.apache2 [new file with mode: 0644]
xenial/debian/ceilometer-api.init.in [deleted file]
xenial/debian/ceilometer-api.manpages
xenial/debian/ceilometer-api.templates
xenial/debian/ceilometer-collector.cron.daily
xenial/debian/ceilometer-collector.manpages
xenial/debian/ceilometer-common.install
xenial/debian/changelog
xenial/debian/control
xenial/debian/copyright
xenial/debian/functions.sh [new file with mode: 0644]
xenial/debian/gbp.conf
xenial/debian/po/cs.po
xenial/debian/po/da.po
xenial/debian/po/de.po
xenial/debian/po/es.po
xenial/debian/po/fr.po
xenial/debian/po/it.po
xenial/debian/po/ja.po
xenial/debian/po/nl.po
xenial/debian/po/pt.po
xenial/debian/po/pt_BR.po [new file with mode: 0644]
xenial/debian/po/ru.po
xenial/debian/po/sv.po
xenial/debian/po/templates.pot
xenial/debian/python-ceilometer.links
xenial/debian/rules
xenial/debian/setup-test-env-mongodb.sh [new file with mode: 0755]

diff --git a/xenial/debian/apache-sites-available/ceilometer.conf b/xenial/debian/apache-sites-available/ceilometer.conf
new file mode 100644 (file)
index 0000000..6807e3a
--- /dev/null
@@ -0,0 +1,15 @@
+Listen 8777
+
+<VirtualHost *:8777>
+    WSGIDaemonProcess ceilometer-api processes=2 threads=10 user=ceilometer display-name=%{GROUP}
+    WSGIProcessGroup ceilometer-api
+    WSGIScriptAlias / /usr/share/ceilometer/app.wsgi
+    WSGIApplicationGroup %{GLOBAL}
+    <IfVersion >= 2.4>
+        ErrorLogFormat "%{cu}t %M"
+    </IfVersion>
+    ErrorLog /var/log/apache2/ceilometer_error.log
+    CustomLog /var/log/apache2/ceilometer_access.log combined
+</VirtualHost>
+
+WSGISocketPrefix /var/run/apache2
diff --git a/xenial/debian/ceilometer-api.apache2 b/xenial/debian/ceilometer-api.apache2
new file mode 100644 (file)
index 0000000..b095917
--- /dev/null
@@ -0,0 +1 @@
+site debian/apache-sites-available/ceilometer.conf
diff --git a/xenial/debian/ceilometer-api.init.in b/xenial/debian/ceilometer-api.init.in
deleted file mode 100644 (file)
index 875f721..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides:          ceilometer-api
-# Required-Start:    $network $local_fs $remote_fs $syslog
-# Required-Stop:     $remote_fs
-# Should-Start:      mongodb rabbitmq-server
-# Should-Stop:       mongodb rabbitmq-server
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: ceilometer api
-# Description:       ceilometer api
-### END INIT INFO
-
-# Author: Thomas Goirand <zigo@debian.org>
-DESC="OpenStack Ceilometer API"
-PROJECT_NAME=ceilometer
-NAME=${PROJECT_NAME}-api
index 1c1c5df5dfea51511662008e426a9f10b080cb8b..9ad28b87bd33e24c81a6406684cfd48df7ea24e1 100644 (file)
@@ -1 +1 @@
-debian/mans/ceilometer-api.8
\ No newline at end of file
+debian/mans/ceilometer-api.8
index c280254e22854bbef37b5f03e07186665eb08d82..c91046178a6b428a1e3dc3082570ea68911c6cba 100644 (file)
@@ -16,7 +16,8 @@ _Description: Register Ceilometer in the Keystone endpoint catalog?
  endpoint-create". This can be done automatically now.
  .
  Note that you will need to have an up and running Keystone server on which to
- connect using the Keystone authentication token.
+ connect using a known admin project name, admin username and password. The
+ admin auth token is not used anymore.
 
 Template: ceilometer/keystone-ip
 Type: string
@@ -24,11 +25,25 @@ _Description: Keystone server IP address:
  Please enter the IP address of the Keystone server, so that ceilometer-api can
  contact Keystone to do the Ceilometer service and endpoint creation.
 
-Template: ceilometer/keystone-auth-token
+Template: ceilometer/keystone-admin-name
+Type: string
+Default: admin
+_Description: Keystone admin name:
+ To register the service endpoint, this package needs to know the Admin login,
+ name, project name, and password to the Keystone server.
+
+Template: ceilometer/keystone-project-name
+Type: string
+Default: admin
+_Description: Keystone admin project name:
+ To register the service endpoint, this package needs to know the Admin login,
+ name, project name, and password to the Keystone server.
+
+Template: ceilometer/keystone-admin-password
 Type: password
-_Description: Keystone authentication token:
- To configure its endpoint in Keystone, ceilometer-api needs the Keystone
authentication token.
+_Description: Keystone admin password:
+ To register the service endpoint, this package needs to know the Admin login,
name, project name, and password to the Keystone server.
 
 Template: ceilometer/endpoint-ip
 Type: string
index 626e82a32bafdbccc7f473ff3af791b5725ec046..baf3c6af6812e730afe6bdf1f8bed7074d6e2e4b 100644 (file)
@@ -1,4 +1,7 @@
 #!/bin/sh
 
-test -x /usr/bin/ceilometer-expirer || exit 0
-su -s /bin/sh -c "exec /usr/bin/ceilometer-expirer" ceilometer
+if [ -x /usr/bin/ceilometer-expirer ] && [ -x /usr/bin/ceilometer-collector ] ; then
+       su -s /bin/sh -c "exec /usr/bin/ceilometer-expirer" ceilometer
+fi
+
+exit 0
index ad265b524272f52c06f801bb32c493c941cb3b27..84492d5be949aa8026a28bbcc7a3b006a212ab17 100644 (file)
@@ -1 +1 @@
-debian/mans/ceilometer-collector.8
\ No newline at end of file
+debian/mans/ceilometer-collector.8
index 0053e3472c538e6c32e33fba323d15eee6072255..010a4f0feb9e2283a0a6ee9389f7adb6669c8155 100644 (file)
@@ -1,16 +1,18 @@
-/usr/bin/ceilometer-dbsync
 /usr/bin/ceilometer-db-legacy-clean
+/usr/bin/ceilometer-dbsync
 /usr/bin/ceilometer-expirer
 /usr/bin/ceilometer-polling
 /usr/bin/ceilometer-rootwrap
 /usr/bin/ceilometer-send-sample
-etc/ceilometer/api_paste.ini                   /etc/ceilometer
-etc/ceilometer/ceilometer-config-generator.conf /etc/ceilometer
-etc/ceilometer/event_definitions.yaml          /etc/ceilometer
-etc/ceilometer/event_pipeline.yaml             /etc/ceilometer
-etc/ceilometer/gnocchi_resources.yaml          /etc/ceilometer
-etc/ceilometer/pipeline.yaml                   /etc/ceilometer
-etc/ceilometer/policy.json                     /etc/ceilometer
-etc/ceilometer/rootwrap.conf                   /etc/ceilometer
-etc/ceilometer/rootwrap.d/ipmi.filters         /etc/ceilometer/rootwrap.d
+/usr/bin/ceilometer-upgrade
+etc/ceilometer/api_paste.ini           /etc/ceilometer
+etc/ceilometer/event_definitions.yaml  /etc/ceilometer
+etc/ceilometer/event_pipeline.yaml     /etc/ceilometer
+etc/ceilometer/examples/loadbalancer_v2_meter_definitions.yaml /etc/ceilometer/examples
+etc/ceilometer/examples/osprofiler_event_definitions.yaml /etc/ceilometer/examples
+etc/ceilometer/gnocchi_resources.yaml  /etc/ceilometer
+etc/ceilometer/pipeline.yaml           /etc/ceilometer
+etc/ceilometer/policy.json             /etc/ceilometer
+etc/ceilometer/rootwrap.conf           /etc/ceilometer
+etc/ceilometer/rootwrap.d/ipmi.filters /etc/ceilometer/rootwrap.d
 tools/show_data.py usr/share/doc/ceilometer
index 6dc4dbd720fcc9511875b706a7ac008917a8ed37..bccfa4fe969ab1f191ebd0615d88914bc2f83fb2 100644 (file)
@@ -1,3 +1,42 @@
+ceilometer (1:7.0.0-1~u16.04+mos0) mos10.0; urgency=medium
+
+  [ Andrii Kroshchenko ]
+  * Source from https://review.openstack.org/#/admin/projects/openstack/deb-ceilometer
+  commit  67bbd3f833e983301f0638d39e9fc90035505a53
+  * Fix (build-)dependencies.
+
+  [ Ivan Udovichenko ]
+  * Put Ceilometer API under Apache 2.
+
+ -- Ivan Udovichenko <iudovichenko@mirantis.com>  Mon, 31 Oct 2016 02:47:00 +0200
+
+ceilometer (1:7.0.0-1) unstable; urgency=medium
+
+  * New upstream release.
+
+ -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:30:44 +0200
+
+ceilometer (1:7.0.0~rc1-2) unstable; urgency=medium
+
+  * Uploading to unstable.
+  * Build-Depends on openstack-pkg-tools (>= 53~).
+  * Fixed EPOCH for oslotest.
+  * Debconf translation:
+    - it (Closes: #838500).
+
+ -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:37:20 +0200
+
+ceilometer (1:7.0.0~rc1-1) experimental; urgency=medium
+
+  * New upstream release.
+  * Fixed (build-)depends for this release.
+  * Using OpenStack's Gerrit as VCS URLs.
+  * Points .gitreview to OpenStack packaging-deb's Gerrit.
+  * Fixed installation of files in /etc/ceilometer for this release.
+  * Also install /usr/bin/ceilometer-upgrade.
+
+ -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2016 22:58:16 +0200
+
 ceilometer (1:7.0.0~b2-1~u16.04+mos1) mos10.0; urgency=medium
 
   * Update ceilometer to v7.0.0.0b2
index 9333da4f475898a72e401cb9a194f79019f48bf9..ef23e02b4dede5d6d0bb55aae6bcffb260758186 100644 (file)
@@ -4,107 +4,107 @@ Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
+               dh-apache2,
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 37~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx (>= 1.1.2),
-Build-Depends-Indep: mongodb,
-                     git,
+Build-Depends-Indep: git,
+                     mongodb,
                      python-awsauth,
-                     python-babel (>= 1.3),
-                     python-ceilometerclient (>= 2.2.1),
+                     python-concurrent.futures,
                      python-contextlib2 (>= 0.4.0),
                      python-cotyledon,
                      python-coverage (>= 3.6),
-                     python-croniter,
                      python-dateutil (>= 2.4.2),
+                     python-debtcollector (>= 1.2.0),
                      python-elasticsearch (>= 1.3.0),
                      python-fixtures (>= 1.3.1),
+                     python-futurist (>= 0.11.0),
                      python-gabbi (>= 1.11.0),
                      python-glanceclient (>= 1:2.0.0),
-                     python-gnocchiclient (>= 2.1.0),
-                     python-hacking (>= 0.10.0),
+                     python-gnocchiclient (>= 2.2.0),
                      python-happybase (>= 0.5),
-                     python-httplib2 (>= 0.7.5),
                      python-jsonpath-rw-ext (>= 0.1.9),
-                     python-jsonschema,
-                     python-kafka,
+                     python-jsonschema (>= 2.0.0),
+                     python-kafka (>= 0.9.5),
                      python-keystoneauth1 (>= 2.1.0),
                      python-keystoneclient (>= 1:1.6.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-kombu,
-                     python-lxml,
+                     python-kombu (>= 3.0.7),
+                     python-lxml (>= 2.3),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.3),
                      python-msgpack (>= 0.4.0),
                      python-mysqldb,
-                     python-neutronclient (>= 1:2.6.0),
+                     python-neutronclient (>= 1:4.2.0),
                      python-novaclient (>= 2:2.29.0),
-                     python-oslo.cache (>= 0.8.0),
+                     python-openstackdocstheme (>= 1.0.3),
+#                     python-os-api-ref (>= 0.1.0),
+                     python-os-testr (>= 0.4.1),
+                     python-os-win (>= 0.2.3),
+                     python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-oslo.config (>= 1:3.9.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.log (>= 2.0.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.reports (>= 0.6.0),
+                     python-oslo.reports (>= 1.0.0),
                      python-oslo.rootwrap (>= 2.0.0),
-                     python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
+                     python-oslo.serialization (>= 2.0.0),
                      python-oslo.utils (>= 3.5.0),
                      python-oslo.vmware (>= 1.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-pastedeploy,
+                     python-oslotest (>= 1:1.10.0),
+                     python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 1.0.0),
                      python-psycopg2 (>= 2.5),
                      python-pymongo (>= 3.0.2),
                      python-pymysql (>= 0.6.2),
-                     python-pysnmp4,
+                     python-pysnmp4 (>= 4.2.3),
                      python-requests (>= 2.8.1),
-                     python-retrying,
+                     python-retrying (>= 1.2.3),
                      python-six (>= 1.9.0),
-                     python-sphinxcontrib.httpdomain,
                      python-sphinxcontrib-pecanwsme (>= 0.8),
+                     python-sphinxcontrib.httpdomain,
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.9.0),
                      python-swiftclient (>= 1:2.2.0),
-                     python-tempest-lib (>= 0.13.0),
+                     python-tempest,
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.28.0),
-                     python-tz,
-                     python-webob,
+                     python-webob (>= 1.2.3),
                      python-webtest (>= 2.0),
-                     python-werkzeug,
+                     python-werkzeug (>= 0.7),
                      python-wsme (>= 0.8),
-                     python-yaml,
+                     python-yaml (>= 3.1.0),
                      subunit,
+                     tempest,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/ceilometer.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/ceilometer.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-ceilometer
+Vcs-Git: https://git.openstack.org/openstack/deb-ceilometer
 Homepage: http://wiki.openstack.org/Ceilometer
 
 Package: python-ceilometer
 Section: python
 Architecture: all
 Depends: libjs-jquery,
-         python-ceilometerclient (>= 2.2.1),
+         python-concurrent.futures,
          python-cotyledon,
          python-dateutil (>= 2.4.2),
          python-debtcollector (>= 1.2.0),
-         python-eventlet (>= 0.17.4),
          python-futurist (>= 0.11.0),
          python-glanceclient (>= 1:2.0.0),
-         python-greenlet (>= 0.3.2),
+         python-greenlet (>= 0.3.2),,
          python-happybase (>= 0.5),
          python-jsonpath-rw-ext (>= 0.1.9),
          python-jsonschema (>= 2.0.0),
@@ -121,17 +121,15 @@ Depends: libjs-jquery,
          python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 3.5.0),
          python-oslo.config (>= 1:3.9.0),
-         python-oslo.context (>= 0.2.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 1.14.0),
+         python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
-         python-oslo.reports (>= 0.6.0),
+         python-oslo.reports (>= 1.0.0),
          python-oslo.rootwrap (>= 2.0.0),
-         python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
+         python-oslo.serialization (>= 2.0.0),
          python-oslo.utils (>= 3.5.0),
          python-oslo.vmware (>= 1.16.0),
          python-pastedeploy (>= 1.5.0),
@@ -144,10 +142,9 @@ Depends: libjs-jquery,
          python-retrying (>= 1.2.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.9.0),
          python-swiftclient (>= 1:2.2.0),
          python-tooz (>= 1.28.0),
-         python-tz (>= 2013.6),
          python-webob (>= 1.2.3),
          python-werkzeug (>= 0.7),
          python-wsme (>= 0.8),
@@ -228,13 +225,14 @@ Description: OpenStack efficient metering counters system - polling service
 Package: ceilometer-api
 Architecture: all
 Depends: adduser,
+         apache2,
          ceilometer-common (= ${binary:Version}),
          debconf,
          python-openstackclient (>= 2.0.0),
          ${misc:Depends},
          ${ostack-lsb-base},
          ${python:Depends},
-Suggests: mongodb, q-text-as-data
+Suggests: mongodb, q-text-as-data,
 Description: OpenStack efficient metering counters system (API service)
  Ceilometer aims to deliver a Single Point Of Contact for billing systems,
  providing all the counters they need to establish customer billing, across
index eae8f562ca8383317cab7498d0af432dba7215cb..64043403d68f584ad2e41ba4c6bda444c03edcb9 100644 (file)
@@ -1,6 +1,6 @@
 Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: ceilometer
-Source: https://github.com/stackforge/ceilometer
+Source: https://github.com/openstack/ceilometer
 
 Files: *
 Copyright: 2012 New Dream Network, LLC (DreamHost)
diff --git a/xenial/debian/functions.sh b/xenial/debian/functions.sh
new file mode 100644 (file)
index 0000000..352cec3
--- /dev/null
@@ -0,0 +1,29 @@
+function clean_exit(){
+    local error_code="$?"
+    rm -rf "$1"
+    kill $(jobs -p)
+    return $error_code
+}
+
+check_for_cmd () {
+    if ! which "$1" >/dev/null 2>&1
+    then
+        echo "Could not find $1 command" 1>&2
+        exit 1
+    fi
+}
+
+wait_for_line () {
+    exit_code=1
+    while read line
+    do
+        echo "$line" | grep -q "$1" && exit_code=0 && break
+    done < "$2"
+    # Read the fifo for ever otherwise process would block
+    cat "$2" >/dev/null &
+    if [ $exit_code -eq 1 ]; then
+        echo "Entries of \"$1\" have not been found. Now tests will be stopped."
+        exit $exit_code
+    fi
+}
+
index 6fb07d66f1cdee92bddf6fd7edddd4bae9c76bed..78ba551114fe74a057b8a174f8ff85285c3934a6 100644 (file)
@@ -1,6 +1,6 @@
 [DEFAULT]
 upstream-branch = master
-debian-branch = debian/mitaka
+debian-branch = debian/newton
 upstream-tag = %(version)s
 compression = xz
 
index 8a686c7e76fd56d04f52bd5fbe2d871347cfc732..eea4790b484066be6fcdec0e9c67b5f99bca1525 100644 (file)
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer 2013.1.2-4\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
 "PO-Revision-Date: 2013-08-29 10:31+0200\n"
 "Last-Translator: Michal Simunek <michal.simunek@gmail.com>\n"
 "Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
@@ -38,9 +38,14 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#, fuzzy
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Berte na vědomí, že musíte mít běžící server Keystone, na který se lze "
 "připojit pomocí ověřovacího klíče pro Keystone."
@@ -61,37 +66,54 @@ msgstr ""
 "Zadejte IP adresu serveru Keystone, aby se mohlo ceilometer-api spojit s "
 "Keystone a provozovat službu Ceilometer a vytvářet koncové body."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
+#, fuzzy
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
 msgstr "Autentizační klíč pro Keystone:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Aby mohlo ceilometer-api nastavit v Keystone svůj koncový bod, potřebuje "
-"autentizační klíč pro Keystone."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "IP adresa koncového bodu Ceilometer:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr "Zadejte IP adresu, která se bude používat ke spojení s Ceilometer."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -103,13 +125,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Název registrované oblasti:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -262,3 +284,10 @@ msgstr ""
 #| msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgid "Please specify the password to use with the authentication server."
 msgstr "Zadejte IP adresu, která se bude používat ke spojení s Ceilometer."
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Aby mohlo ceilometer-api nastavit v Keystone svůj koncový bod, potřebuje "
+#~ "autentizační klíč pro Keystone."
index 524d95fe775110288ddfecbb5a089d86268767bf..564b8077743772691973ccf5a4d0d1de3df722ae 100644 (file)
@@ -1,14 +1,14 @@
 # Danish translation ceilometer.
-# Copyright (C) 2014 ceilometer og nedenstående oversættere.
+# Copyright (C) 2016 ceilometer og nedenstående oversættere.
 # This file is distributed under the same license as the ceilometer package.
-# Joe Hansen (joedalton2@yahoo.dk), 2013, 2014.
+# Joe Hansen (joedalton2@yahoo.dk), 2013, 2014, 2016.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
-"PO-Revision-Date: 2014-02-22 12:42+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
+"PO-Revision-Date: 2016-07-09 12:42+0000\n"
 "Last-Translator: Joe Hansen <joedalton2@yahoo.dk>\n"
 "Language-Team: Danish <debian-l10n-danish@lists.debian.org>\n"
 "Language: da\n"
@@ -39,10 +39,12 @@ msgstr ""
 #: ../ceilometer-api.templates:2001
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Bemærk at du skal have en op og kørende Keystoneserver, som du kan forbinde "
-"til med Keystones godkendelsessymbol."
+"til et kendt administratorprojektnavn, administratorbrugernavn og adgangskode. "
+"Administratorens godkendelsessymbol bruges ikke længere."
 
 #. Type: string
 #. Description
@@ -60,38 +62,56 @@ msgstr ""
 "Indtast venligst IP-adressen for Keystoneserveren, så at ceilometer-api kan "
 "kontakte Keystone for at udføre Ceilometertjenesten og slutpunktsoprettelse."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
-msgstr "Godkendelsessymbol for Keystone:"
+msgid "Keystone admin name:"
+msgstr "Administratornavn for Keystone:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"For at konfigurere dets slutpunkt i Keystone, skal ceilometer bruge "
-"Keystones godkendelsessymbol."
+"For at registrere tjenesteslutpunkt skal denne pakke kende til "
+"administratorlogind'et, navn, projektnavn og adgangskode for "
+"Keystoneserveren."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr "Projektnavn for Keystoneadministratoren:"
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr "Adgangskode for Keystoneadministratoren:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "IP-adresse for Ceilometers slutpunkt:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr ""
 "Indtast venligst IP-adressen som vil blive brugt til at kontakte Ceilometer."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -103,13 +123,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Navn på regionen der skal registreres:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -123,7 +143,7 @@ msgstr ""
 #. Description
 #: ../ceilometer-common.templates:2001
 msgid "Perform automatic dbsync for Ceilometer?"
-msgstr ""
+msgstr "Udfør automatisk databasesynkronisering for Ceilometer?"
 
 #. Type: boolean
 #. Description
@@ -132,6 +152,8 @@ msgid ""
 "Ceilometer can automatically run ceilometer-dbsync after installation. For "
 "it to work, you need an up and running mongodb-server."
 msgstr ""
+"Ceilometer kan automatisk afvikle ceilometer-dbsync efter installation. For "
+"at det fungerer, så skal du have en op og kørende mongodb-server."
 
 #. Type: boolean
 #. Description
@@ -140,6 +162,8 @@ msgid ""
 "You can change this setting later on by running \"dpkg-reconfigure -plow "
 "ceilometer\"."
 msgstr ""
+"Du kan ændre denne indstilling senere ved at køre »dpkg-reconfigure -plow "
+"ceilometer«."
 
 #. Type: string
 #. Description
@@ -262,3 +286,4 @@ msgstr "Adgangskode for godkendelsesserveren:"
 msgid "Please specify the password to use with the authentication server."
 msgstr ""
 "Angiv venligst adgangskoden som vil blive brugt med godkendelsesserveren."
+
index ebeb0555adb5a4f4c6bf68f7323c5631c0df75bd..9f056c68e633a03fb3bcc579fec8a0c5d1a50ebf 100644 (file)
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer 2014.1-7\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
 "PO-Revision-Date: 2014-06-04 14:37+0100\n"
 "Last-Translator: Chris Leick <c.leick@vollbio.de>\n"
 "Language-Team: German <debian-l10n-german@lists.debian.org>\n"
@@ -39,9 +39,14 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#, fuzzy
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Beachten Sie, dass Sie einen laufenden Keystone-Server benötigen, mit dem "
 "Sie sich unter Nutzung des Keystone-Authentifizierungs-Tokens verbinden "
@@ -64,31 +69,48 @@ msgstr ""
 "Keystone kontaktieren kann, um den Ceilometer-Dienst und -Endpunkt zu "
 "erstellen"
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
+#, fuzzy
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
 msgstr "Keystone-Authentifizierungs-Token:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Um seinen Keystone-Endpunkt einzurichten, benötigt Ceilometer-api das "
-"Keystone-Authentifizierungs-Token."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "IP-Adresse des Ceilometer-Endpunkts:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr ""
 "Bitte geben Sie bitte die IP-Adresse an, die für den Kontakt mit Ceilometer "
@@ -96,7 +118,7 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -108,13 +130,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Name der zu registrierenden Region:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -272,3 +294,10 @@ msgid "Please specify the password to use with the authentication server."
 msgstr ""
 "Bitte geben Sie das Passwort an, das für den Authentifizierungsserver "
 "benutzt wird."
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Um seinen Keystone-Endpunkt einzurichten, benötigt Ceilometer-api das "
+#~ "Keystone-Authentifizierungs-Token."
index 3768f48c4f119010d151bdd2986aaff0ca18b588..9818baa13cb24d0f5fa03cf080ce3ac2105d6d74 100644 (file)
@@ -28,7 +28,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer 2013.1.2-4\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
 "PO-Revision-Date: 2013-12-08 21:29-0300\n"
 "Last-Translator: Matías Bellone <matiasbellone+debian@gmail.com>\n"
 "Language-Team: Debian l10n Spanish <debian-l10n-spanish@lists.debian.org>\n"
@@ -59,9 +59,14 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#, fuzzy
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Tenga en cuenta que necesitará disponer de un servidor Keystone en ejecución "
 "al que conectarse utilizando el token de autenticación de Keystone."
@@ -83,38 +88,55 @@ msgstr ""
 "pueda contactar con Keystone para realizar el servicio Ceilometer y crear el "
 "punto final."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
+#, fuzzy
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
 msgstr "Token de autenticación de Keystone:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Para configurar su punto final en Keystone, ceilometer-api necesita el token "
-"de autenticación de Keystone."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "Dirección IP del punto final de Ceilometer:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr ""
 "Introduzca la dirección IP que se utilizará para contactar con Ceilometer."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -126,13 +148,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Nombre de la región a registrar:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -280,3 +302,10 @@ msgstr ""
 #: ../ceilometer-common.templates:9001
 msgid "Please specify the password to use with the authentication server."
 msgstr ""
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Para configurar su punto final en Keystone, ceilometer-api necesita el "
+#~ "token de autenticación de Keystone."
index d4db67479ce80c6fffacbb51e92432ea844dba95..e0482aed2420cf2ad085c85231fd86669faf4647 100644 (file)
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
 "PO-Revision-Date: 2015-06-15 17:32+0100\n"
 "Last-Translator: Julien Patriarca <leatherface@debian.org>\n"
 "Language-Team: FRENCH <debian-l10n-french@lists.debian.org>\n"
@@ -39,9 +39,14 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#, fuzzy
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Veuillez noter que vous aurez besoin d'avoir un serveur Keystone fonctionnel "
 "sur lequel se connecter en utilisant le jeton d'authentification Keystone."
@@ -63,38 +68,55 @@ msgstr ""
 "Ceilometer puisse contacter Keystone pour établir le service Ceilometer et "
 "créer le point d'accès."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
+#, fuzzy
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
 msgstr "Jeton d'authentification Keystone : "
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Pour configurer son point d'accès dans Keystone, l’api de Ceilometer a "
-"besoin du jeton d'authentification Keystone."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "Adresse IP du point d'accès Ceilometer :"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr ""
 "Veuillez indiquer l'adresse IP qui sera utilisée pour contacter Ceilometer."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -106,13 +128,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Nom de la région à enregistrer :"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -275,3 +297,10 @@ msgid "Please specify the password to use with the authentication server."
 msgstr ""
 "Veuillez indiquer le mot de passe à utiliser pour le serveur "
 "d'authentification."
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Pour configurer son point d'accès dans Keystone, l’api de Ceilometer a "
+#~ "besoin du jeton d'authentification Keystone."
index cf07b28b318e3aa63b3c7d4ef2b1dccc9cb8eee7..f6845fff5c2c7373f06f4ddc3cfad7ad3bdee178 100644 (file)
@@ -1,13 +1,13 @@
 # Italian translation of ceilometer debconf messages.
-# Copyright (C) 2013, ceilometer package copyright holder
+# Copyright (C) 2016, ceilometer package copyright holder
 # This file is distributed under the same license as the ceilometer package.
-# Beatrice Torracca <beatricet@libero.it>, 2013, 2014.
+# Beatrice Torracca <beatricet@libero.it>, 2013, 2014, 2016.
 msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
-"PO-Revision-Date: 2014-04-06 15:04+0200\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
+"PO-Revision-Date: 2016-08-01 14:05+0200\n"
 "Last-Translator: Beatrice Torracca <beatricet@libero.it>\n"
 "Language-Team: Italian <debian-l10n-italian@lists.debian.org>\n"
 "Language: it\n"
@@ -38,12 +38,18 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Notare che sarà necessario avere un server Keystone in funzione a cui "
-"connettersi usando il token di autenticazione Keystone."
+"connettersi usando un nome di progetto di amministrazione conosciuto, un "
+"nome utente e password di amministratore. Il token di autenticazione di "
+"amministratore non è più usato."
 
 #. Type: string
 #. Description
@@ -62,37 +68,56 @@ msgstr ""
 "possa contattare Keystone per effettuare la creazione del servizio e del "
 "punto terminale Ceilometer."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
-msgstr "Token di autenticazione Keystone:"
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
+msgstr "Nome amministratore Keystone:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Per configurare il proprio punto terminale in Keystone, ceilometer-api ha "
-"bisogno del token di autenticazione Keystone."
+"Per registrare il punto terminale del servizio questo pacchetto deve "
+"conoscere il login, il nome, il nome del progetto e la password "
+"dell'amministratore per il server Keystone."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr "Nome del progetto di amministrazione Keystone:"
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr "Password amministratore Keystone:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "Indirizzo IP del punto terminale Ceilometer:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr "Inserire l'indirizzo IP che verrà usato per contattare Ceilometer."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -104,13 +129,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Nome della regione da registrare:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -124,7 +149,7 @@ msgstr ""
 #. Description
 #: ../ceilometer-common.templates:2001
 msgid "Perform automatic dbsync for Ceilometer?"
-msgstr ""
+msgstr "Effettuare il dbsync automatico per Ceilometer?"
 
 #. Type: boolean
 #. Description
@@ -133,6 +158,9 @@ msgid ""
 "Ceilometer can automatically run ceilometer-dbsync after installation. For "
 "it to work, you need an up and running mongodb-server."
 msgstr ""
+"Ceilometer può eseguire automaticamente ceilometer-dbsync dopo "
+"l'installazione. Affinché funzioni è necessario un mongodb-server "
+"funzionante e in esecuzione."
 
 #. Type: boolean
 #. Description
@@ -141,6 +169,8 @@ msgid ""
 "You can change this setting later on by running \"dpkg-reconfigure -plow "
 "ceilometer\"."
 msgstr ""
+"È possibile cambiare questa impostazione successivamente eseguendo \"dpkg-"
+"reconfigure -plow ceilometer\"."
 
 #. Type: string
 #. Description
index 37680f2b56f221b712cb2ad8a9713ba4af4220dd..6e87efb593a5ead38a6bccd280c1346556114ca2 100644 (file)
@@ -3,25 +3,28 @@
 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 # This file is distributed under the same license as the ceilometer package.
 # victory <victory.deb@gmail.com>, 2013.
+# Takuma Yamada <tyamada@takumayamada.com>, 2016.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
-"PO-Revision-Date: 2013-07-11 02:06+0900\n"
-"Last-Translator: victory <victory.deb@gmail.com>\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
+"PO-Revision-Date: 2016-04-07 12:16+0900\n"
+"Last-Translator: Takuma Yamada <tyamada@takumayamada.com>\n"
 "Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
 "Language: ja\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0;\n"
+"X-Generator: Gtranslator 2.91.6\n"
 
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
 msgid "Register Ceilometer in the Keystone endpoint catalog?"
-msgstr "Ceilometer を Keystone の端末リストに登録しますか?"
+msgstr "Ceilometer を Keystone のエンドポイントカタログに登録しますか?"
 
 #. Type: boolean
 #. Description
@@ -31,19 +34,24 @@ msgid ""
 "accessible. This is done using \"keystone service-create\" and \"keystone "
 "endpoint-create\". This can be done automatically now."
 msgstr ""
-"OpenStack のサービスごと (API ごと) に、アクセスできるようにするため登録すべ"
-"ã\81\8dã\81§ã\81\99ã\80\82ã\80\8ckeystone service-createã\80\8dã\81¨ã\80\8ckeystone endpoint-createã\80\8dã\82\92使ã\81£ã\81¦ç\99»é\8c²"
-"することができます。ここで自動的に行うことができます。"
+"各 OpenStack サービス (各 API) は、アクセス可能にするために登録する必要があり"
+"ã\81¾ã\81\99ã\80\82\"keystone service-create\" ã\81¨ \"keystone endpoint-create\" ã\82\92使ã\81£ã\81¦ç\99»"
+"することができます。ここで自動的に行うことができます。"
 
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
-"Keystone 認証文字列を使って接続する先の Keystone サーバが必要なことに注意して"
-"ください。"
+"既知の管理プロジェクト名、管理者のユーザ名とパスワードを使用して接続するに"
+"は、Keystone サーバの起動および実行が必要になりますので注意してください。管理"
+"者認証トークンはもう使用されていません。"
 
 #. Type: string
 #. Description
@@ -59,70 +67,91 @@ msgid ""
 "can contact Keystone to do the Ceilometer service and endpoint creation."
 msgstr ""
 "Keystone サーバの IP アドレスを入力してください。それにより ceilometer-api "
-"は Keystone と通信し、Ceilometer サービスや端末の作成ができるようになります。"
+"は Keystone と通信し、Ceilometer サービスやエンドポイントの作成ができるように"
+"なります。"
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
-msgstr "Keystone 認証文字列:"
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
+msgstr "Keystone 認証者名:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Keystone で端末を設定するには、ceilometer-api は Keystone 認証文字列を必要と"
-"します。"
+"サービスのエンドポイントを登録するには、このパッケージが Keystone サーバへの"
+"管理者ログイン、名前、プロジェクト名、およびパスワードを知っている必要があり"
+"ます。"
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr "Keystone 管理プロジェクト名:"
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr "Keystone 管理者パスワード:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
-msgstr "Ceilometer 端末の IP アドレス:"
+msgstr "Ceilometer エンドポイントの IP アドレス:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
-msgstr "Ceilometer への通信に利用する IP アドレスを入力してください。"
+msgstr "Ceilometer への通信に使用される IP アドレスを入力してください。"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
 "address."
 msgstr ""
-"ã\81\93ã\81® IP ã\82¢ã\83\89ã\83¬ã\82¹ã\81¯ã\81\93ã\81®ã\82µã\83¼ã\83\93ã\82¹ã\82\92å\88©ç\94¨ã\81\99ã\82\8bã\82¯ã\83©ã\82¤ã\82¢ã\83³ã\83\88ã\81\8bã\82\89ã\82¢ã\82¯ã\82»ã\82¹ã\81§ã\81\8dã\81ªã\81\84ã\81¨ã\81\84"
-"ã\81\91ã\81ªã\81\84ã\81®ã\81§ã\80\81ã\83\91ã\83\96ã\83ªã\83\83ã\82¯ã\82¯ã\83©ã\82¦ã\83\89ã\82\92ã\82¤ã\83³ã\82¹ã\83\88ã\83¼ã\83«ã\81\97ã\81¦ã\81\84ã\82\8bå ´å\90\88ã\80\81ã\81\93ã\82\8cã\81¯å\85¬é\96\8b IP ã\82¢ã\83\89"
-"レスを使うようにしてください。"
+"ã\81\93ã\81® IP ã\82¢ã\83\89ã\83¬ã\82¹ã\81¯ã\80\81ã\81\93ã\81®ã\82µã\83¼ã\83\93ã\82¹ã\82\92å\88©ç\94¨ã\81\99ã\82\8bã\82¯ã\83©ã\82¤ã\82¢ã\83³ã\83\88ã\81\8bã\82\89ã\82¢ã\82¯ã\82»ã\82¹å\8f¯è\83½ã\81§ã\81ªã\81\91"
+"ã\82\8cã\81°ã\81ªã\82\8aã\81¾ã\81\9bã\82\93ã\80\82ã\83\91ã\83\96ã\83ªã\83\83ã\82¯ã\82¯ã\83©ã\82¦ã\83\89ã\82\92ã\82¤ã\83³ã\82¹ã\83\88ã\83¼ã\83«ã\81\97ã\81¦ã\81\84ã\82\8bå ´å\90\88ã\81¯ã\80\81ã\83\91ã\83\96ã\83ªã\83\83ã\82¯ "
+"IP アドレスにする必要があります。"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
-msgstr "登録する領域の名前:"
+msgstr "登録するリージョンの名前:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
 "endpoint."
 msgstr ""
-"OpenStack は位置を示す各領域による利用可能区分の利用をサポートしています。端"
-"末の登録時に利用したい区分を入力してください。"
+"OpenStack は、場所を表すリージョン毎に、アベイラビリティーゾーンの使用をサ"
+"ポートします。エンドポイントを登録する際に、使用するゾーンを入力してくださ"
+"い。"
 
 #. Type: boolean
 #. Description
 #: ../ceilometer-common.templates:2001
 msgid "Perform automatic dbsync for Ceilometer?"
-msgstr ""
+msgstr "Ceilometer の自動 dbsync を実行しますか?"
 
 #. Type: boolean
 #. Description
@@ -131,6 +160,8 @@ msgid ""
 "Ceilometer can automatically run ceilometer-dbsync after installation. For "
 "it to work, you need an up and running mongodb-server."
 msgstr ""
+"Ceilometerは、インストール後に自動的に ceilometer-dbsync を実行することができ"
+"ます。それが働くためには、mongodb-server の起動および実行が必要です。"
 
 #. Type: boolean
 #. Description
@@ -139,12 +170,14 @@ msgid ""
 "You can change this setting later on by running \"dpkg-reconfigure -plow "
 "ceilometer\"."
 msgstr ""
+"この設定は、後で \"dpkg-reconfigure -plow ceilometer\" を実行することで変更で"
+"きます。"
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:3001
 msgid "IP address of your RabbitMQ host:"
-msgstr ""
+msgstr "RabiitMQ ホストの IP アドレス:"
 
 #. Type: string
 #. Description
@@ -158,44 +191,44 @@ msgid ""
 "In order to interoperate with other components of OpenStack, this package "
 "needs to connect to a central RabbitMQ server."
 msgstr ""
+"OpenStack のほかのコンポーネントと相互運用するためには、このパッケージは中央 "
+"RabbitMQ サーバに接続する必要があります。"
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:3001
-#, fuzzy
-#| msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgid "Please specify the IP address of that server."
-msgstr "Ceilometer への通信に利用する IP アドレスを入力してください。"
+msgstr "そのサーバーの IP アドレスを指定してください。"
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:4001
 msgid "Username for connection to the RabbitMQ server:"
-msgstr ""
+msgstr "RabbitMQ サーバ接続用のユーザ名:"
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:4001
 msgid "Please specify the username used to connect to the RabbitMQ server."
-msgstr ""
+msgstr "RabbitMQ サーバ接続に使用するユーザ名を指定してください。"
 
 #. Type: password
 #. Description
 #: ../ceilometer-common.templates:5001
 msgid "Password for connection to the RabbitMQ server:"
-msgstr ""
+msgstr "RabbitMQ サーバ接続用のパスワード:"
 
 #. Type: password
 #. Description
 #: ../ceilometer-common.templates:5001
 msgid "Please specify the password used to connect to the RabbitMQ server."
-msgstr ""
+msgstr "RabbitMQ サーバ接続に使用するパスワードを指定してください。"
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:6001
 msgid "Authentication server hostname:"
-msgstr ""
+msgstr "認証サーバのホスト名:"
 
 #. Type: string
 #. Description
@@ -205,6 +238,8 @@ msgid ""
 "Typically this is also the hostname of the OpenStack Identity Service "
 "(Keystone)."
 msgstr ""
+"Ceilometer 用認証サーバのホスト名を指定してください。通常これは OpenStack "
+"Identity Service (Keystone) のホスト名と同じです。"
 
 #. Type: string
 #. Description
@@ -217,7 +252,7 @@ msgstr ""
 #. locataire ("tenant")
 #: ../ceilometer-common.templates:7001
 msgid "Authentication server tenant name:"
-msgstr ""
+msgstr "認証サーバのテナント (tenant) 名:"
 
 #. Type: string
 #. Description
@@ -229,35 +264,36 @@ msgstr ""
 #. or keep it parenthezised. Example for French:
 #. locataire ("tenant")
 #: ../ceilometer-common.templates:7001
-#, fuzzy
-#| msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgid "Please specify the authentication server tenant name."
-msgstr "Ceilometer への通信に利用する IP アドレスを入力してください。"
+msgstr "認証サーバのテナント (tenant) 名を指定してください。"
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:8001
 msgid "Authentication server username:"
-msgstr ""
+msgstr "認証サーバのユーザ名:"
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:8001
-#, fuzzy
-#| msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgid "Please specify the username to use with the authentication server."
-msgstr "Ceilometer への通信に利用する IP アドレスを入力してください。"
+msgstr "認証サーバで使用するユーザ名を指定してください。"
 
 #. Type: password
 #. Description
 #: ../ceilometer-common.templates:9001
 msgid "Authentication server password:"
-msgstr ""
+msgstr "認証サーバのパスワード:"
 
 #. Type: password
 #. Description
 #: ../ceilometer-common.templates:9001
-#, fuzzy
-#| msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgid "Please specify the password to use with the authentication server."
-msgstr "Ceilometer への通信に利用する IP アドレスを入力してください。"
+msgstr "認証サーバで使用するパスワードを指定してください。"
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Keystone でエンドポイントを設定するには、ceilometer-api は Keystone 認証"
+#~ "トークンを必要とします。"
index 85981d760ab31043bfcb90e2558b027f0d7ba50a..381cb671a71b5b2035593607989bba701ee5c8cb 100644 (file)
@@ -1,14 +1,14 @@
 # Dutch translation of ceilometer debconf templates.
 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
 # This file is distributed under the same license as the ceilometer package.
-# Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, 2014, 2015.
+# Frans Spiesschaert <Frans.Spiesschaert@yucom.be>, 2014, 2015, 2016.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: ceilometer\n"
+"Project-Id-Version: ceilometer_1_6.0.0-1\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
-"PO-Revision-Date: 2015-08-29 22:05+0200\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
+"PO-Revision-Date: 2016-04-20 11:11+0200\n"
 "Last-Translator: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>\n"
 "Language-Team: Debian Dutch l10n Team <debian-l10n-dutch@lists.debian.org>\n"
 "Language: nl\n"
@@ -39,12 +39,18 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
-"Merk op dat u een functionerende Keystone-server moet hebben, waarmee u "
-"verbinding kunt maken met behulp van het legitimatiebewijs voor Keystone."
+"Merk op dat u een functionerende Keystone-server moet hebben om er een "
+"verbinding mee te maken met behulp van een gekende beheerdersprojectnaam, "
+"beheerdersgebruikersnaam en wachtwoord. Het beheerderslegitimatiebewijs "
+"wordt niet langer gebruikt."
 
 #. Type: string
 #. Description
@@ -59,66 +65,84 @@ msgid ""
 "Please enter the IP address of the Keystone server, so that ceilometer-api "
 "can contact Keystone to do the Ceilometer service and endpoint creation."
 msgstr ""
-"Gelieve het IP-adres van de Keystone-server op te geven, zodat ceilometer-"
-"api Keystone kan contacteren om de Ceilometerdienst en het toegangspunt aan "
-"te maken."
+"Geef het IP-adres van de Keystone-server op, zodat ceilometer-api Keystone "
+"kan contacteren om de Ceilometerdienst en het toegangspunt aan te maken."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
-msgstr "Legitimatiebewijs voor Keystone:"
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
+msgstr "Naam van de beheerder voor Keystone:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Om zijn toegangspunt in Keystone te kunnen aanmaken, heeft ceilometer-api "
-"het legitimatiebewijs voor Keystone nodig."
+"Om het toegangspunt van de dienst te registreren moet dit pakket de "
+"inloggegevens voor de Keystone-server van de beheerder kennen, naam, "
+"projectnaam en wachtwoord."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr "Naam van het project van de beheerder voor Keystone:"
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr "Wachtwoord van de beheerder voor Keystone:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
-msgstr "IP-adres van het toegangspunt van ceilometer:"
+msgstr "IP-adres van het toegangspunt van Ceilometer:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr ""
-"Geef op welk IP-adres gebruikt zal worden om Ceilometer te contacteren."
+"Geef het IP-adres op dat gebruikt zal worden voor het contact met Ceilometer."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
 "address."
 msgstr ""
-"Dit IP-adres moet bereikbaar zijn voor de clients die gebruik zullen maken "
-"van deze dienst. Dus indien u een publieke cloud opzet, moet het een publiek "
-"IP-adres zijn."
+"Dit IP-adres moet bereikbaar zijn voor de clients die deze dienst zullen "
+"gebruiken. Indien u een openbare cloud installeert, moet dit dus een "
+"algemeen bereikbaar IP-adres zijn."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Naam van de registratieregio:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
 "endpoint."
 msgstr ""
-"Openstack ondersteunt het gebruik van zones van beschikbaarheid, waarbij "
+"OpenStack ondersteunt het gebruik van zones van beschikbaarheid, waarbij "
 "elke regio een locatie vertegenwoordigt. Geef aan welke zone u wenst te "
 "gebruiken bij het registreren van het toegangspunt."
 
@@ -167,8 +191,8 @@ msgid ""
 "In order to interoperate with other components of OpenStack, this package "
 "needs to connect to a central RabbitMQ server."
 msgstr ""
-"Om te kunnen samenwerken met andere componenten van OpenStack, moet dit "
-"pakket verbinding maken met een centrale RabbitMQ-server."
+"Om met andere componenten van OpenStack samen te werken, moet dit pakket een "
+"verbinding maken met een centrale RabbitMQ-server."
 
 #. Type: string
 #. Description
@@ -187,8 +211,8 @@ msgstr "Gebruikersnaam voor de verbinding met de RabbitMQ-server:"
 #: ../ceilometer-common.templates:4001
 msgid "Please specify the username used to connect to the RabbitMQ server."
 msgstr ""
-"Geef de gebruikersnaam op die u nodig heeft om verbinding te maken met de "
-"RabbitMQ-server."
+"Geef de gebruikersnaam op waarmee verbinding gemaakt wordt met de RabbitMQ-"
+"server."
 
 #. Type: password
 #. Description
@@ -201,8 +225,8 @@ msgstr "Wachtwoord voor de verbinding met de RabbitMQ-server:"
 #: ../ceilometer-common.templates:5001
 msgid "Please specify the password used to connect to the RabbitMQ server."
 msgstr ""
-"Gelieve het wachtwoord te geven dat u nodig heeft om verbinding te maken met "
-"de RabbitMQ-server."
+"Geef het wachtwoord op dat gebruikt wordt om verbinding te maken met de "
+"RabbitMQ-server."
 
 #. Type: string
 #. Description
@@ -218,8 +242,8 @@ msgid ""
 "Typically this is also the hostname of the OpenStack Identity Service "
 "(Keystone)."
 msgstr ""
-"Geef de computernaam van de authenticatieserver voor Ceilometer. Meestal is "
-"dit ook de computernaam van de OpenStack identiteitsdienst (Keystone)."
+"Geef de computernaam van de authenticatieserver voor Ceilometer op. Meestal "
+"is dit ook de computernaam van de OpenStack Identiteitsdienst (Keystone)."
 
 #. Type: string
 #. Description
@@ -232,7 +256,7 @@ msgstr ""
 #. locataire ("tenant")
 #: ../ceilometer-common.templates:7001
 msgid "Authentication server tenant name:"
-msgstr "Naam van de clientruimte (tenant) op de authenticatieserver:"
+msgstr "Naam van de cliëntruimte (tenant) op de authenticatieserver:"
 
 #. Type: string
 #. Description
@@ -246,29 +270,37 @@ msgstr "Naam van de clientruimte (tenant) op de authenticatieserver:"
 #: ../ceilometer-common.templates:7001
 msgid "Please specify the authentication server tenant name."
 msgstr ""
-"Gelieve de naam te vermelden van de clientruimte (tenant) op de "
-"authenticatieserver"
+"Geef de naam op van de cliëntruimte (tenant) op de authenticatieserver."
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:8001
 msgid "Authentication server username:"
-msgstr "Gebruikersnaam voor de authenticatieserver:"
+msgstr "Gebruikersnaam op de authenticatieserver:"
 
 #. Type: string
 #. Description
 #: ../ceilometer-common.templates:8001
 msgid "Please specify the username to use with the authentication server."
-msgstr "Geef de gebruikersnaam op voor de authenticatieserver."
+msgstr ""
+"Geef de gebruikersnaam op die op de authenticatieserver gebruikt moet worden."
 
 #. Type: password
 #. Description
 #: ../ceilometer-common.templates:9001
 msgid "Authentication server password:"
-msgstr "Wachtwoord voor de authenticatieserver:"
+msgstr "Wachtwoord op de authenticatieserver:"
 
 #. Type: password
 #. Description
 #: ../ceilometer-common.templates:9001
 msgid "Please specify the password to use with the authentication server."
-msgstr "Geef het wachtwoord op voor de authenticatieserver."
+msgstr ""
+"Geef het wachtwoord op dat op de authenticatieserver gebruikt moet worden."
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Om zijn toegangspunt in Keystone te kunnen aanmaken, heeft ceilometer-api "
+#~ "het legitimatiebewijs voor Keystone nodig."
index fbfc244f98016b48dc507efb06df9697f52814e1..05abb04bcc87162d5ba358955ddddd950ee12ed3 100644 (file)
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
 "PO-Revision-Date: 2013-08-21 09:50+0100\n"
 "Last-Translator: Miguel Figueiredo <elmig@debianpt.org>\n"
 "Language-Team: Portuguese <traduz@debianpt.org>\n"
@@ -37,9 +37,14 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#, fuzzy
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Note que necessitará ter a correr um servidor Keystone ao qual ligar "
 "utilizando o token de autenticação do Keystone."
@@ -61,31 +66,48 @@ msgstr ""
 "ceilometer-api contacte o Keystone para adicionar o serviço Ceilomenter e "
 "crie o endpoint."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
+#, fuzzy
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
 msgstr "Token de autenticação do Keystone:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Para configurar o seu endpoint no Keystone, o ceilometer-api necessita do "
-"token de autenticação do Keystone."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "Endereço IP do endpoint do Ceilometer:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr ""
 "Por favor introduza o endereço IP que será utilizado para contactar o "
@@ -93,7 +115,7 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -105,13 +127,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Nome da região a registar:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -272,3 +294,10 @@ msgid "Please specify the password to use with the authentication server."
 msgstr ""
 "Por favor introduza o endereço IP que será utilizado para contactar o "
 "Ceilometer."
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Para configurar o seu endpoint no Keystone, o ceilometer-api necessita do "
+#~ "token de autenticação do Keystone."
diff --git a/xenial/debian/po/pt_BR.po b/xenial/debian/po/pt_BR.po
new file mode 100644 (file)
index 0000000..6411110
--- /dev/null
@@ -0,0 +1,303 @@
+# Debconf translations for ceilometer.
+# Copyright (C) 2016 THE ceilometer'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the ceilometer package.
+# Adriano Rafael Gomes <adrianorg@arg.eti.br>, 2016.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ceilometer\n"
+"Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
+"PO-Revision-Date: 2016-04-30 16:30-0300\n"
+"Last-Translator: Adriano Rafael Gomes <adrianorg@arg.eti.br>\n"
+"Language-Team: Brazilian Portuguese <debian-l10n-portuguese@lists.debian."
+"org>\n"
+"Language: pt_BR\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../ceilometer-api.templates:2001
+msgid "Register Ceilometer in the Keystone endpoint catalog?"
+msgstr "Registrar o Ceilometer no catálogo de \"endpoint\" do Keystone?"
+
+#. Type: boolean
+#. Description
+#: ../ceilometer-api.templates:2001
+msgid ""
+"Each OpenStack service (each API) should be registered in order to be "
+"accessible. This is done using \"keystone service-create\" and \"keystone "
+"endpoint-create\". This can be done automatically now."
+msgstr ""
+"Cada serviço OpenStack (cada API) deve ser registrado para ser acessível. "
+"Isso é feito usando \"keystone service-create\" e \"keystone endpoint-create"
+"\". Isso pode ser feito automaticamente agora."
+
+#. Type: boolean
+#. Description
+#: ../ceilometer-api.templates:2001
+msgid ""
+"Note that you will need to have an up and running Keystone server on which "
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
+msgstr ""
+"Note que você precisará ter um servidor Keystone configurado e em execução "
+"no qual conectar usando um nome de projeto de admin, nome de usuário de "
+"admin e senha conhecidos. O \"token\" de autenticação do admin não é mais "
+"usado."
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:3001
+msgid "Keystone server IP address:"
+msgstr "Endereço IP do servidor Keystone:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:3001
+msgid ""
+"Please enter the IP address of the Keystone server, so that ceilometer-api "
+"can contact Keystone to do the Ceilometer service and endpoint creation."
+msgstr ""
+"Por favor, informe o endereço IP do servidor Keystone, de forma que o "
+"ceilometer-api possa contatar o Keystone para efetuar a criação do \"endpoint"
+"\" e do serviço Ceilometer."
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:4001
+msgid "Keystone admin name:"
+msgstr "Nome de admin do Keystone:"
+
+#. Type: string
+#. Description
+#. Type: string
+#. Description
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
+msgid ""
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
+msgstr ""
+"Para registrar o \"endpoint\" do serviço, esse pacote precisa saber o login, "
+"nome, nome do projeto e senha do Admin no servidor Keystone."
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr "Nome do projeto admin no Keystone:"
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr "Senha do admin no Keystone:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
+msgid "Ceilometer endpoint IP address:"
+msgstr "Endereço IP do \"endpoint\" Ceilometer:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
+msgid "Please enter the IP address that will be used to contact Ceilometer."
+msgstr ""
+"Por favor, informe o endereço IP que será usado para contatar o Ceilometer."
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
+msgid ""
+"This IP address should be accessible from the clients that will use this "
+"service, so if you are installing a public cloud, this should be a public IP "
+"address."
+msgstr ""
+"Esse endereço IP deveria ser acessível a partir dos clientes que usarão esse "
+"serviço, assim se você está instalando uma nuvem pública, ele deveria ser um "
+"endereço IP público."
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:8001
+msgid "Name of the region to register:"
+msgstr "Nome da região para registrar:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:8001
+msgid ""
+"OpenStack supports using availability zones, with each region representing a "
+"location. Please enter the zone that you wish to use when registering the "
+"endpoint."
+msgstr ""
+"O OpenStack suporta usar zonas de disponibilidade, com cada região "
+"representando uma localidade. Por favor, informe a zona que você deseja usar "
+"ao registrar o \"endpoint\"."
+
+#. Type: boolean
+#. Description
+#: ../ceilometer-common.templates:2001
+msgid "Perform automatic dbsync for Ceilometer?"
+msgstr "Executar dbsync automático para o Ceilometer?"
+
+#. Type: boolean
+#. Description
+#: ../ceilometer-common.templates:2001
+msgid ""
+"Ceilometer can automatically run ceilometer-dbsync after installation. For "
+"it to work, you need an up and running mongodb-server."
+msgstr ""
+"O Ceilometer pode executar automaticamente o ceilometer-dbsync depois da "
+"instalação. Para isso funcionar, você precisa de um mongodb-server "
+"configurado e em execução."
+
+#. Type: boolean
+#. Description
+#: ../ceilometer-common.templates:2001
+msgid ""
+"You can change this setting later on by running \"dpkg-reconfigure -plow "
+"ceilometer\"."
+msgstr ""
+"Você pode mudar essa configuração depois, executando \"dpkg-reconfigure -"
+"plow ceilometer\"."
+
+#. Type: string
+#. Description
+#: ../ceilometer-common.templates:3001
+msgid "IP address of your RabbitMQ host:"
+msgstr "Endereço IP da sua máquina RabbitMQ:"
+
+#. Type: string
+#. Description
+#. Type: string
+#. Description
+#. Type: password
+#. Description
+#: ../ceilometer-common.templates:3001 ../ceilometer-common.templates:4001
+#: ../ceilometer-common.templates:5001
+msgid ""
+"In order to interoperate with other components of OpenStack, this package "
+"needs to connect to a central RabbitMQ server."
+msgstr ""
+"Para interoperar com outros componentes do Openstack, esse pacote precisa "
+"conectar a um servidor RabbitMQ central."
+
+#. Type: string
+#. Description
+#: ../ceilometer-common.templates:3001
+msgid "Please specify the IP address of that server."
+msgstr "Por favor, especifique o endereço IP de tal servidor."
+
+#. Type: string
+#. Description
+#: ../ceilometer-common.templates:4001
+msgid "Username for connection to the RabbitMQ server:"
+msgstr "Nome de usuário para conexão ao servidor RabbitMQ:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-common.templates:4001
+msgid "Please specify the username used to connect to the RabbitMQ server."
+msgstr ""
+"Por favor, especifique o nome de usuário usado para conectar ao servidor "
+"RabbitMQ."
+
+#. Type: password
+#. Description
+#: ../ceilometer-common.templates:5001
+msgid "Password for connection to the RabbitMQ server:"
+msgstr "Senha para conexão ao servidor RabbitMQ:"
+
+#. Type: password
+#. Description
+#: ../ceilometer-common.templates:5001
+msgid "Please specify the password used to connect to the RabbitMQ server."
+msgstr ""
+"Por favor, especifique a senha usada para conectar ao servidor RabbitMQ."
+
+#. Type: string
+#. Description
+#: ../ceilometer-common.templates:6001
+msgid "Authentication server hostname:"
+msgstr "Nome de máquina do servidor de autenticação:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-common.templates:6001
+msgid ""
+"Please specify the hostname of the authentication server for Ceilometer. "
+"Typically this is also the hostname of the OpenStack Identity Service "
+"(Keystone)."
+msgstr ""
+"Por favor, especifique o nome de máquina do servidor de autenticação para o "
+"Ceilometer. Tipicamente, esse é também o nome de máquina do Serviço de "
+"Identidade do OpenStack (Keystone)."
+
+#. Type: string
+#. Description
+#. Translators: a "tenant" in OpenStack world is
+#. an entity that contains one or more username/password couples.
+#. It's typically the tenant that will be used for billing. Having more than one
+#. username/password is very helpful in larger organization.
+#. You're advised to either keep "tenant" without translating it
+#. or keep it parenthezised. Example for French:
+#. locataire ("tenant")
+#: ../ceilometer-common.templates:7001
+msgid "Authentication server tenant name:"
+msgstr "Nome de locatário (\"tenant\") do servidor de autenticação:"
+
+#. Type: string
+#. Description
+#. Translators: a "tenant" in OpenStack world is
+#. an entity that contains one or more username/password couples.
+#. It's typically the tenant that will be used for billing. Having more than one
+#. username/password is very helpful in larger organization.
+#. You're advised to either keep "tenant" without translating it
+#. or keep it parenthezised. Example for French:
+#. locataire ("tenant")
+#: ../ceilometer-common.templates:7001
+msgid "Please specify the authentication server tenant name."
+msgstr ""
+"Por favor, especifique o nome de locatário (\"tenant\") do servidor de "
+"autenticação."
+
+#. Type: string
+#. Description
+#: ../ceilometer-common.templates:8001
+msgid "Authentication server username:"
+msgstr "Nome de usuário do servidor de autenticação:"
+
+#. Type: string
+#. Description
+#: ../ceilometer-common.templates:8001
+msgid "Please specify the username to use with the authentication server."
+msgstr ""
+"Por favor, especifique o nome de usuário para usar com o servidor de "
+"autenticação."
+
+#. Type: password
+#. Description
+#: ../ceilometer-common.templates:9001
+msgid "Authentication server password:"
+msgstr "Senha do servidor de autenticação:"
+
+#. Type: password
+#. Description
+#: ../ceilometer-common.templates:9001
+msgid "Please specify the password to use with the authentication server."
+msgstr ""
+"Por favor, especifique a senha para usar com o servidor de autenticação."
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Para configurar o seu \"endpoint\" no Keystone, o ceilometer-api precisa "
+#~ "do \"token\" de autenticação do Keystone."
index 64524a492c63cd58284299e4d2fc7cd9c29f0832..c5f14aadb2a9612b3ecdb7538a3563442b501e25 100644 (file)
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer 2013.2.1-3\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
 "PO-Revision-Date: 2014-01-26 09:22+0400\n"
 "Last-Translator: Yuri Kozlov <yuray@komyakino.ru>\n"
 "Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
@@ -39,9 +39,14 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#, fuzzy
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Заметим, что у вас должен быть работающий сервер Keystone, к которому будет "
 "произведено подключение с помощью токена аутентификации Keystone."
@@ -63,38 +68,55 @@ msgstr ""
 "подключиться к Keystone для запуска службы Ceilometer и создания конечной "
 "точки."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
+#, fuzzy
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
 msgstr "Токен аутентификации Keystone:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"Для настройки собственной конечной точки в Keystone ceilometer-api требуется "
-"токен аутентификации Keystone."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "IP-адрес конечной точки Ceilometer:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr ""
 "Введите IP-адрес, который будет использован для подключения к Ceilometer."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -106,13 +128,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Название области для регистрации:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -261,3 +283,10 @@ msgstr "Пароль для сервера аутентификации:"
 #: ../ceilometer-common.templates:9001
 msgid "Please specify the password to use with the authentication server."
 msgstr "Введите пароль для работы с сервером аутентификации."
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "Для настройки собственной конечной точки в Keystone ceilometer-api "
+#~ "требуется токен аутентификации Keystone."
index 165e2df268a563a4eb46338d99a1cb547f854423..72e8c2e305414f860830b7835a2e16873df4d6d7 100644 (file)
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
 "PO-Revision-Date: 2013-12-30 10:28+0100\n"
 "Last-Translator: Martin Bagge / brother <brother@bsnet.se>\n"
 "Language-Team: Swedish <debian-l10n-swedish@lists.debian.org>\n"
@@ -38,9 +38,14 @@ msgstr ""
 #. Type: boolean
 #. Description
 #: ../ceilometer-api.templates:2001
+#, fuzzy
+#| msgid ""
+#| "Note that you will need to have an up and running Keystone server on "
+#| "which to connect using the Keystone authentication token."
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 "Observera att du behöver ha en fungerande Keystone-server som kan anslutas "
 "till."
@@ -61,37 +66,54 @@ msgstr ""
 "Ange IP-adress till Keystone-servern så att ceilometer-api kan kontakta "
 "Keystone för att skapa Ceilometer-tjänsten och ändpunkten."
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
+#, fuzzy
+#| msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
 msgstr "Autetiseringsvärde för Keystone:"
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
-"För att lägga till ändpunkt i Keystone behöver ceilometer-api ett "
-"autentiseringsvärde för Keystone."
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr "IP-adress för Ceilometers ändpunkt:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr "Ange den IP-adress som ska användas för att kontakta Ceilometer."
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -103,13 +125,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr "Regionnamn:"
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
@@ -255,3 +277,10 @@ msgstr ""
 #: ../ceilometer-common.templates:9001
 msgid "Please specify the password to use with the authentication server."
 msgstr ""
+
+#~ msgid ""
+#~ "To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
+#~ "authentication token."
+#~ msgstr ""
+#~ "För att lägga till ändpunkt i Keystone behöver ceilometer-api ett "
+#~ "autentiseringsvärde för Keystone."
index 63ebc4f56c70b8a95a031821c6dbfa9fdad97903..7d33646badf505ba4e1a090260c5f6ae3a7adddf 100644 (file)
@@ -1,6 +1,6 @@
 # SOME DESCRIPTIVE TITLE.
 # Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the PACKAGE package.
+# This file is distributed under the same license as the ceilometer package.
 # FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
 #
 #, fuzzy
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ceilometer\n"
 "Report-Msgid-Bugs-To: ceilometer@packages.debian.org\n"
-"POT-Creation-Date: 2015-06-26 13:18+0000\n"
+"POT-Creation-Date: 2016-03-29 12:22+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -37,7 +37,8 @@ msgstr ""
 #: ../ceilometer-api.templates:2001
 msgid ""
 "Note that you will need to have an up and running Keystone server on which "
-"to connect using the Keystone authentication token."
+"to connect using a known admin project name, admin username and password. "
+"The admin auth token is not used anymore."
 msgstr ""
 
 #. Type: string
@@ -54,35 +55,52 @@ msgid ""
 "can contact Keystone to do the Ceilometer service and endpoint creation."
 msgstr ""
 
-#. Type: password
+#. Type: string
 #. Description
 #: ../ceilometer-api.templates:4001
-msgid "Keystone authentication token:"
+msgid "Keystone admin name:"
 msgstr ""
 
+#. Type: string
+#. Description
+#. Type: string
+#. Description
 #. Type: password
 #. Description
-#: ../ceilometer-api.templates:4001
+#: ../ceilometer-api.templates:4001 ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:6001
 msgid ""
-"To configure its endpoint in Keystone, ceilometer-api needs the Keystone "
-"authentication token."
+"To register the service endpoint, this package needs to know the Admin "
+"login, name, project name, and password to the Keystone server."
 msgstr ""
 
 #. Type: string
 #. Description
 #: ../ceilometer-api.templates:5001
+msgid "Keystone admin project name:"
+msgstr ""
+
+#. Type: password
+#. Description
+#: ../ceilometer-api.templates:6001
+msgid "Keystone admin password:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../ceilometer-api.templates:7001
 msgid "Ceilometer endpoint IP address:"
 msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid "Please enter the IP address that will be used to contact Ceilometer."
 msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:5001
+#: ../ceilometer-api.templates:7001
 msgid ""
 "This IP address should be accessible from the clients that will use this "
 "service, so if you are installing a public cloud, this should be a public IP "
@@ -91,13 +109,13 @@ msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid "Name of the region to register:"
 msgstr ""
 
 #. Type: string
 #. Description
-#: ../ceilometer-api.templates:6001
+#: ../ceilometer-api.templates:8001
 msgid ""
 "OpenStack supports using availability zones, with each region representing a "
 "location. Please enter the zone that you wish to use when registering the "
index fc59ae9bbff79abaee2ee1870ed3de23bf1820e4..c97f8ef4ca06d208b2d48fde02bb69eed96727fd 100644 (file)
@@ -1,3 +1,3 @@
-/usr/share/javascript/jquery/jquery.min.js /usr/share/pyshared/ceilometer/api/v1/static/jquery-1.8.3.js
 /usr/share/javascript/jquery/jquery.min.js /usr/lib/python2.6/dist-packages/ceilometer/api/v1/static/jquery-1.8.3.js
 /usr/share/javascript/jquery/jquery.min.js /usr/lib/python2.7/dist-packages/ceilometer/api/v1/static/jquery-1.8.3.js
+/usr/share/javascript/jquery/jquery.min.js /usr/share/pyshared/ceilometer/api/v1/static/jquery-1.8.3.js
index 3cf682c01ee2a490888754e4f4e25526ad89bb63..bac62485355116ff45cd0bdad787c2073fb1d8a3 100755 (executable)
@@ -5,7 +5,7 @@ include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
 
 %:
-       dh $@  --with python2,systemd,sphinxdoc
+       dh $@  --with apache2,python2,systemd,sphinxdoc
 
 override_dh_clean:
        dh_clean
@@ -15,6 +15,8 @@ override_dh_clean:
 override_dh_install:
        rm -rf $(CURDIR)/debian/tmp
        python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
+       rm -rf $(CURDIR)/debian/tmp/usr/etc
+
        dh_install --fail-missing
 
        # Manage ceilometer.conf
@@ -56,7 +58,7 @@ ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
        testr init
        set -e ; \
                TEMP_REZ=`mktemp -t` ; \
-               bash -x ./setup-test-env-mongodb.sh testr run --subunit 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
+               bash -x ./debian/setup-test-env-mongodb.sh testr run --subunit --parallel 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))' | tee $$TEMP_REZ | subunit2pyunit ; \
                cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
                rm -f $$TEMP_REZ ;
        testr slowest
diff --git a/xenial/debian/setup-test-env-mongodb.sh b/xenial/debian/setup-test-env-mongodb.sh
new file mode 100755 (executable)
index 0000000..478972b
--- /dev/null
@@ -0,0 +1,27 @@
+#!/bin/bash
+set -e
+
+source debian/functions.sh
+
+if [ "$1" = "--coverage" ]; then
+       COVERAGE_ARG="$1"
+       shift
+fi
+
+export PATH=${PATH:+$PATH:}/sbin:/usr/sbin
+check_for_cmd mongod
+
+# Start MongoDB process for tests
+MONGO_DATA=`mktemp -d /tmp/CEILO-MONGODB-XXXXX`
+MONGO_PORT=29000
+trap "clean_exit ${MONGO_DATA}" EXIT
+mkfifo ${MONGO_DATA}/out
+mongod --maxConns 32 --nojournal --noprealloc --smallfiles --quiet --noauth --port ${MONGO_PORT} --dbpath "${MONGO_DATA}" --bind_ip localhost --config /dev/null &>${MONGO_DATA}/out &
+# Wait for Mongo to start listening to connections
+wait_for_line "waiting for connections on port ${MONGO_PORT}" ${MONGO_DATA}/out
+# Read the fifo for ever otherwise mongod would block
+cat ${MONGO_DATA}/out > /dev/null &
+export CEILOMETER_TEST_STORAGE_URL="mongodb://localhost:${MONGO_PORT}/ceilometer"
+
+# Yield execution to venv command
+OS_TEST_PATH=./ceilometer/tests/unit $*